Rock
Ride Your HeartBleached
US 2013 (Dead Oceans DOC082)Винил. Пластинка; LP; Альбом
Never Hungover AgainJoyce Manor
US 2021 (Epitaph 87352-1)Винил. Пластинка; 12"; 45 RPM; Альбом
Radio DDRSharp Pins
US 2025 (K KLP 301)Винил. Пластинка; LP; Альбом
Nothing Feels GoodThe Promise Ring
US 2022 (Jade Tree JT1035)Винил. Пластинка; LP; Repress
Isolation DrillsGuided By Voices
USA & Europe 2021 (TVT Records TVT 2163-1)Винил. Пластинка; LP; 45 RPM; Переиздание
There NearDinosaur Jr.
US 2026 (Jagjaguwar JAG480)Винил. Пластинка; LP; Альбом; Лимитированное издание
Static PrevailsJimmy Eat World
US 2016 (Capitol Records B0023654-01)Винил. Пластинка; LP; Альбом; Переиздание
FurnitureFugazi
US 2009 (Dischord Records dis129v)Винил. Пластинка; 7"; 45 RPM; Сингл
Folk, Rock
MJ LendermanMJ Lenderman
US 2023 (Dear Life Records DLR048)Винил. Пластинка; LP; Альбом; Переиздание
Open Door PolicyThe Hold Steady
2021 (Positive Jams 54885LP)Винил. Пластинка; LP; Альбом
Life In Your Glass WorldCitiZen
US 2021 (Run For Cover Records (2) RFC212)Винил. Пластинка; LP; Альбом; Лимитированное издание
Twin PlaguesWednesday
USA & Europe 2023 (Dead Oceans DOC327)Винил. Пластинка; LP; Альбом; Переиздание
Puberty 2Mitski
US 2023 (Dead Oceans DOC123)Винил. Пластинка; LP; Альбом; Лимитированное издание
Joyride / Sick And WrongBuilt To Spill
US 1994 (K IPU 46)Винил. Пластинка; 7"; 45 RPM; Сингл
Trials & ErrorsMagnolia Electric Co.
US 2013 (Secretly Canadian SC98)Винил. Пластинка; LP; Альбом; Лимитированное издание
The Ugly OrganCursive
US 2025 (Run For Cover Records (2) RFC307)Винил. Пластинка; LP; Альбом; Лимитированное издание
Something WildRadiator Hospital
US 2013 (Salinas Records SAL-047)Винил. Пластинка; LP; Альбом
Calling The DogsCitiZen
US 2023 (Run For Cover Records (2) RFC264)Винил. Пластинка; LP; Альбом; Лимитированное издание
The BothThe Both
US 2014 (SuperEgo Records SE034)Винил. Пластинка; LP; Альбом
Frame & CanvasBraid
US 2023 (Polyvinyl Record Company PRC-468)Винил. Пластинка; LP; Альбом; Special Edition
SugareggBully
US 2020 (Sub Pop SP1363)Винил. Пластинка; LP; Альбом
Come Pick Me UpSuperchunk
US 2015 (Merge Records MRG163)Винил. Пластинка; LP; Альбом; Переиздание
Speed TrialsElliott Smith
2022 (Kill Rock Stars KRS-266)Винил. Пластинка; 7"; 45 RPM; Сингл
No Kill No Beep BeepQ And Not U
US 2009 (Dischord Records DIS 123V)Винил. Пластинка; LP; Альбом; Переиздание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.